package cn.fw.hermes.sdk.api.para;

import lombok.Data;

import java.util.Map;

/**
 * @author 张志伟
 * @date 2018-09-18 15:20
 * @description
 */
@Data
public class CustomContent extends BaseContent {
    /**
     * 自定义消息描述信息；当接收方为iPhone后台在线时，做iOS离线Push时文本展示。
     */
    private String desc;
    /**
     * 自定义消息数据
     */
    private String data;
    /**
     * 扩展字段;
     */
    private Map<String, Object> ext;
    /**
     * 自定义APNS推送铃音。
     */
    private String sound;
}
