package cn.fw.hermes.domain.dto;

import cn.fw.hermes.sdk.api.para.MsgParamCondition;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Chenery
 * @Date: 2021/2/6 14:42
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MsgSubject {

  /**
   * 消息对象
   */
  private MsgParamCondition condition;
  /**
   * 消息体对象
   */
  private MsgBodyDto msgBodyDto;
  /**
   * 消息发送重试次数，默认为0
   */
  private Integer retriesNum =0;
}
